Annotation of embedaddon/dhcp/Makefile.in, revision 1.1.1.1
1.1 misho 1: # Makefile.in generated by automake 1.10.1 from Makefile.am.
2: # @configure_input@
3:
4: # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5: # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
6: # This Makefile.in is free software; the Free Software Foundation
7: # gives unlimited permission to copy and/or distribute it,
8: # with or without modifications, as long as this notice is preserved.
9:
10: # This program is distributed in the hope that it will be useful,
11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13: # PARTICULAR PURPOSE.
14:
15: @SET_MAKE@
16:
17: VPATH = @srcdir@
18: pkgdatadir = $(datadir)/@PACKAGE@
19: pkglibdir = $(libdir)/@PACKAGE@
20: pkgincludedir = $(includedir)/@PACKAGE@
21: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22: install_sh_DATA = $(install_sh) -c -m 644
23: install_sh_PROGRAM = $(install_sh) -c
24: install_sh_SCRIPT = $(install_sh) -c
25: INSTALL_HEADER = $(INSTALL_DATA)
26: transform = $(program_transform_name)
27: NORMAL_INSTALL = :
28: PRE_INSTALL = :
29: POST_INSTALL = :
30: NORMAL_UNINSTALL = :
31: PRE_UNINSTALL = :
32: POST_UNINSTALL = :
33: subdir = .
34: DIST_COMMON = README $(am__configure_deps) $(nobase_include_HEADERS) \
35: $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
1.1.1.1 ! misho 36: $(top_srcdir)/configure $(top_srcdir)/doc/devel/doxyfile.in \
! 37: depcomp install-sh missing
1.1 misho 38: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39: am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41: $(ACLOCAL_M4)
42: am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43: configure.lineno config.status.lineno
44: mkinstalldirs = $(install_sh) -d
45: CONFIG_HEADER = $(top_builddir)/includes/config.h
1.1.1.1 ! misho 46: CONFIG_CLEAN_FILES = doc/devel/doxyfile
1.1 misho 47: SOURCES =
48: DIST_SOURCES =
49: RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50: html-recursive info-recursive install-data-recursive \
51: install-dvi-recursive install-exec-recursive \
52: install-html-recursive install-info-recursive \
53: install-pdf-recursive install-ps-recursive install-recursive \
54: installcheck-recursive installdirs-recursive pdf-recursive \
55: ps-recursive uninstall-recursive
56: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
57: am__vpath_adj = case $$p in \
58: $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
59: *) f=$$p;; \
60: esac;
61: am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
62: am__installdirs = "$(DESTDIR)$(includedir)"
63: nobase_includeHEADERS_INSTALL = $(install_sh_DATA)
64: HEADERS = $(nobase_include_HEADERS)
65: RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
66: distclean-recursive maintainer-clean-recursive
67: ETAGS = etags
68: CTAGS = ctags
69: DIST_SUBDIRS = $(SUBDIRS)
70: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71: distdir = $(PACKAGE)-$(VERSION)
72: top_distdir = $(distdir)
73: am__remove_distdir = \
74: { test ! -d $(distdir) \
75: || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
76: && rm -fr $(distdir); }; }
77: DIST_ARCHIVES = $(distdir).tar.gz
78: GZIP_ENV = --best
79: distuninstallcheck_listfiles = find . -type f -print
80: distcleancheck_listfiles = find . -type f -print
81: ACLOCAL = @ACLOCAL@
82: AMTAR = @AMTAR@
1.1.1.1 ! misho 83: ATF_CFLAGS = @ATF_CFLAGS@
! 84: ATF_LDFLAGS = @ATF_LDFLAGS@
1.1 misho 85: AUTOCONF = @AUTOCONF@
86: AUTOHEADER = @AUTOHEADER@
87: AUTOMAKE = @AUTOMAKE@
88: AWK = @AWK@
89: CC = @CC@
90: CCDEPMODE = @CCDEPMODE@
91: CFLAGS = @CFLAGS@
92: CPP = @CPP@
93: CPPFLAGS = @CPPFLAGS@
94: CYGPATH_W = @CYGPATH_W@
95: DEFS = @DEFS@
96: DEPDIR = @DEPDIR@
97: ECHO_C = @ECHO_C@
98: ECHO_N = @ECHO_N@
99: ECHO_T = @ECHO_T@
100: EGREP = @EGREP@
101: EXEEXT = @EXEEXT@
102: GREP = @GREP@
103: INSTALL = @INSTALL@
104: INSTALL_DATA = @INSTALL_DATA@
105: INSTALL_PROGRAM = @INSTALL_PROGRAM@
106: INSTALL_SCRIPT = @INSTALL_SCRIPT@
107: INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
108: LDFLAGS = @LDFLAGS@
109: LIBOBJS = @LIBOBJS@
110: LIBS = @LIBS@
111: LTLIBOBJS = @LTLIBOBJS@
112: MAINT = @MAINT@
113: MAKEINFO = @MAKEINFO@
114: MKDIR_P = @MKDIR_P@
115: OBJEXT = @OBJEXT@
116: PACKAGE = @PACKAGE@
117: PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
118: PACKAGE_NAME = @PACKAGE_NAME@
119: PACKAGE_STRING = @PACKAGE_STRING@
120: PACKAGE_TARNAME = @PACKAGE_TARNAME@
121: PACKAGE_URL = @PACKAGE_URL@
122: PACKAGE_VERSION = @PACKAGE_VERSION@
123: PATH_SEPARATOR = @PATH_SEPARATOR@
124: RANLIB = @RANLIB@
125: SET_MAKE = @SET_MAKE@
126: SHELL = @SHELL@
127: STRIP = @STRIP@
128: VERSION = @VERSION@
129: abs_builddir = @abs_builddir@
130: abs_srcdir = @abs_srcdir@
131: abs_top_builddir = @abs_top_builddir@
132: abs_top_srcdir = @abs_top_srcdir@
133: ac_ct_CC = @ac_ct_CC@
134: ac_prefix_program = @ac_prefix_program@
135: am__include = @am__include@
136: am__leading_dot = @am__leading_dot@
137: am__quote = @am__quote@
138: am__tar = @am__tar@
139: am__untar = @am__untar@
140: bindir = @bindir@
141: build_alias = @build_alias@
142: builddir = @builddir@
143: byte_order = @byte_order@
144: datadir = @datadir@
145: datarootdir = @datarootdir@
146: docdir = @docdir@
147: dvidir = @dvidir@
148: exec_prefix = @exec_prefix@
149: host_alias = @host_alias@
150: htmldir = @htmldir@
151: includedir = @includedir@
152: infodir = @infodir@
153: install_sh = @install_sh@
154: libdir = @libdir@
155: libexecdir = @libexecdir@
156: localedir = @localedir@
157: localstatedir = @localstatedir@
158: mandir = @mandir@
159: mkdir_p = @mkdir_p@
160: oldincludedir = @oldincludedir@
161: pdfdir = @pdfdir@
162: prefix = @prefix@
163: program_transform_name = @program_transform_name@
164: psdir = @psdir@
165: sbindir = @sbindir@
166: sharedstatedir = @sharedstatedir@
167: srcdir = @srcdir@
168: sysconfdir = @sysconfdir@
169: target_alias = @target_alias@
170: top_build_prefix = @top_build_prefix@
171: top_builddir = @top_builddir@
172: top_srcdir = @top_srcdir@
173:
174: #
175: # We have a lot of files that we want shipped with the distribution.
176: #
177: EXTRA_DIST = RELNOTES LICENSE \
178: contrib/3.0b1-lease-convert contrib/dhclient-tz-exithook.sh \
179: contrib/dhcp.spec contrib/sethostname.sh contrib/solaris.init \
180: contrib/ms2isc/Registry.pm contrib/ms2isc/ms2isc.pl \
181: contrib/ms2isc/readme.txt \
182: doc/IANA-arp-parameters doc/Makefile doc/References.html \
183: doc/References.txt doc/References.xml doc/api+protocol \
184: doc/ja_JP.eucJP/dhclient-script.8 doc/ja_JP.eucJP/dhclient.8 \
185: doc/ja_JP.eucJP/dhclient.conf.5 doc/ja_JP.eucJP/dhclient.leases.5 \
186: doc/ja_JP.eucJP/dhcp-eval.5 doc/ja_JP.eucJP/dhcp-options.5 \
187: doc/examples/dhclient-dhcpv6.conf doc/examples/dhcpd-dhcpv6.conf
188:
189: SUBDIRS = includes tests common minires dst omapip client dhcpctl relay server
190: nobase_include_HEADERS = dhcpctl/dhcpctl.h
191: all: all-recursive
192:
193: .SUFFIXES:
194: am--refresh:
195: @:
196: $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
197: @for dep in $?; do \
198: case '$(am__configure_deps)' in \
199: *$$dep*) \
200: echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
201: cd $(srcdir) && $(AUTOMAKE) --foreign \
202: && exit 0; \
203: exit 1;; \
204: esac; \
205: done; \
206: echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
207: cd $(top_srcdir) && \
208: $(AUTOMAKE) --foreign Makefile
209: .PRECIOUS: Makefile
210:
211: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
212: $(SHELL) ./config.status --recheck
213:
214: $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
215: cd $(srcdir) && $(AUTOCONF)
216: $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
217: cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1.1.1.1 ! misho 218: doc/devel/doxyfile: $(top_builddir)/config.status $(top_srcdir)/doc/devel/doxyfile.in
! 219: cd $(top_builddir) && $(SHELL) ./config.status $@
1.1 misho 220: install-nobase_includeHEADERS: $(nobase_include_HEADERS)
221: @$(NORMAL_INSTALL)
222: test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
223: @$(am__vpath_adj_setup) \
224: list='$(nobase_include_HEADERS)'; for p in $$list; do \
225: if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
226: $(am__vpath_adj) \
227: echo " $(nobase_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
228: $(nobase_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
229: done
230:
231: uninstall-nobase_includeHEADERS:
232: @$(NORMAL_UNINSTALL)
233: @$(am__vpath_adj_setup) \
234: list='$(nobase_include_HEADERS)'; for p in $$list; do \
235: $(am__vpath_adj) \
236: echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
237: rm -f "$(DESTDIR)$(includedir)/$$f"; \
238: done
239:
240: # This directory's subdirectories are mostly independent; you can cd
241: # into them and run `make' without going through this Makefile.
242: # To change the values of `make' variables: instead of editing Makefiles,
243: # (1) if the variable is set in `config.status', edit `config.status'
244: # (which will cause the Makefiles to be regenerated when you run `make');
245: # (2) otherwise, pass the desired values on the `make' command line.
246: $(RECURSIVE_TARGETS):
247: @failcom='exit 1'; \
248: for f in x $$MAKEFLAGS; do \
249: case $$f in \
250: *=* | --[!k]*);; \
251: *k*) failcom='fail=yes';; \
252: esac; \
253: done; \
254: dot_seen=no; \
255: target=`echo $@ | sed s/-recursive//`; \
256: list='$(SUBDIRS)'; for subdir in $$list; do \
257: echo "Making $$target in $$subdir"; \
258: if test "$$subdir" = "."; then \
259: dot_seen=yes; \
260: local_target="$$target-am"; \
261: else \
262: local_target="$$target"; \
263: fi; \
264: (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
265: || eval $$failcom; \
266: done; \
267: if test "$$dot_seen" = "no"; then \
268: $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
269: fi; test -z "$$fail"
270:
271: $(RECURSIVE_CLEAN_TARGETS):
272: @failcom='exit 1'; \
273: for f in x $$MAKEFLAGS; do \
274: case $$f in \
275: *=* | --[!k]*);; \
276: *k*) failcom='fail=yes';; \
277: esac; \
278: done; \
279: dot_seen=no; \
280: case "$@" in \
281: distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
282: *) list='$(SUBDIRS)' ;; \
283: esac; \
284: rev=''; for subdir in $$list; do \
285: if test "$$subdir" = "."; then :; else \
286: rev="$$subdir $$rev"; \
287: fi; \
288: done; \
289: rev="$$rev ."; \
290: target=`echo $@ | sed s/-recursive//`; \
291: for subdir in $$rev; do \
292: echo "Making $$target in $$subdir"; \
293: if test "$$subdir" = "."; then \
294: local_target="$$target-am"; \
295: else \
296: local_target="$$target"; \
297: fi; \
298: (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
299: || eval $$failcom; \
300: done && test -z "$$fail"
301: tags-recursive:
302: list='$(SUBDIRS)'; for subdir in $$list; do \
303: test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
304: done
305: ctags-recursive:
306: list='$(SUBDIRS)'; for subdir in $$list; do \
307: test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
308: done
309:
310: ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
311: list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
312: unique=`for i in $$list; do \
313: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
314: done | \
315: $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
316: END { if (nonempty) { for (i in files) print i; }; }'`; \
317: mkid -fID $$unique
318: tags: TAGS
319:
320: TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
321: $(TAGS_FILES) $(LISP)
322: tags=; \
323: here=`pwd`; \
324: if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
325: include_option=--etags-include; \
326: empty_fix=.; \
327: else \
328: include_option=--include; \
329: empty_fix=; \
330: fi; \
331: list='$(SUBDIRS)'; for subdir in $$list; do \
332: if test "$$subdir" = .; then :; else \
333: test ! -f $$subdir/TAGS || \
334: tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
335: fi; \
336: done; \
337: list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
338: unique=`for i in $$list; do \
339: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
340: done | \
341: $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
342: END { if (nonempty) { for (i in files) print i; }; }'`; \
343: if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
344: test -n "$$unique" || unique=$$empty_fix; \
345: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
346: $$tags $$unique; \
347: fi
348: ctags: CTAGS
349: CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
350: $(TAGS_FILES) $(LISP)
351: tags=; \
352: list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
353: unique=`for i in $$list; do \
354: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
355: done | \
356: $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
357: END { if (nonempty) { for (i in files) print i; }; }'`; \
358: test -z "$(CTAGS_ARGS)$$tags$$unique" \
359: || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
360: $$tags $$unique
361:
362: GTAGS:
363: here=`$(am__cd) $(top_builddir) && pwd` \
364: && cd $(top_srcdir) \
365: && gtags -i $(GTAGS_ARGS) $$here
366:
367: distclean-tags:
368: -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
369:
370: distdir: $(DISTFILES)
371: $(am__remove_distdir)
372: test -d $(distdir) || mkdir $(distdir)
373: @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
374: topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
375: list='$(DISTFILES)'; \
376: dist_files=`for file in $$list; do echo $$file; done | \
377: sed -e "s|^$$srcdirstrip/||;t" \
378: -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
379: case $$dist_files in \
380: */*) $(MKDIR_P) `echo "$$dist_files" | \
381: sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
382: sort -u` ;; \
383: esac; \
384: for file in $$dist_files; do \
385: if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
386: if test -d $$d/$$file; then \
387: dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
388: if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
389: cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
390: fi; \
391: cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
392: else \
393: test -f $(distdir)/$$file \
394: || cp -p $$d/$$file $(distdir)/$$file \
395: || exit 1; \
396: fi; \
397: done
398: list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
399: if test "$$subdir" = .; then :; else \
400: test -d "$(distdir)/$$subdir" \
401: || $(MKDIR_P) "$(distdir)/$$subdir" \
402: || exit 1; \
403: distdir=`$(am__cd) $(distdir) && pwd`; \
404: top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
405: (cd $$subdir && \
406: $(MAKE) $(AM_MAKEFLAGS) \
407: top_distdir="$$top_distdir" \
408: distdir="$$distdir/$$subdir" \
409: am__remove_distdir=: \
410: am__skip_length_check=: \
411: distdir) \
412: || exit 1; \
413: fi; \
414: done
415: -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
416: ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
417: ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
418: ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
419: || chmod -R a+r $(distdir)
420: dist-gzip: distdir
421: tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
422: $(am__remove_distdir)
423:
424: dist-bzip2: distdir
425: tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
426: $(am__remove_distdir)
427:
428: dist-lzma: distdir
429: tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
430: $(am__remove_distdir)
431:
432: dist-tarZ: distdir
433: tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
434: $(am__remove_distdir)
435:
436: dist-shar: distdir
437: shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
438: $(am__remove_distdir)
439:
440: dist-zip: distdir
441: -rm -f $(distdir).zip
442: zip -rq $(distdir).zip $(distdir)
443: $(am__remove_distdir)
444:
445: dist dist-all: distdir
446: tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
447: $(am__remove_distdir)
448:
449: # This target untars the dist file and tries a VPATH configuration. Then
450: # it guarantees that the distribution is self-contained by making another
451: # tarfile.
452: distcheck: dist
453: case '$(DIST_ARCHIVES)' in \
454: *.tar.gz*) \
455: GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
456: *.tar.bz2*) \
457: bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
458: *.tar.lzma*) \
459: unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
460: *.tar.Z*) \
461: uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
462: *.shar.gz*) \
463: GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
464: *.zip*) \
465: unzip $(distdir).zip ;;\
466: esac
467: chmod -R a-w $(distdir); chmod a+w $(distdir)
468: mkdir $(distdir)/_build
469: mkdir $(distdir)/_inst
470: chmod a-w $(distdir)
471: dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
472: && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
473: && cd $(distdir)/_build \
474: && ../configure --srcdir=.. --prefix="$$dc_install_base" \
475: $(DISTCHECK_CONFIGURE_FLAGS) \
476: && $(MAKE) $(AM_MAKEFLAGS) \
477: && $(MAKE) $(AM_MAKEFLAGS) dvi \
478: && $(MAKE) $(AM_MAKEFLAGS) check \
479: && $(MAKE) $(AM_MAKEFLAGS) install \
480: && $(MAKE) $(AM_MAKEFLAGS) installcheck \
481: && $(MAKE) $(AM_MAKEFLAGS) uninstall \
482: && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
483: distuninstallcheck \
484: && chmod -R a-w "$$dc_install_base" \
485: && ({ \
486: (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
487: && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
488: && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
489: && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
490: distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
491: } || { rm -rf "$$dc_destdir"; exit 1; }) \
492: && rm -rf "$$dc_destdir" \
493: && $(MAKE) $(AM_MAKEFLAGS) dist \
494: && rm -rf $(DIST_ARCHIVES) \
495: && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
496: $(am__remove_distdir)
497: @(echo "$(distdir) archives ready for distribution: "; \
498: list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
499: sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
500: distuninstallcheck:
501: @cd $(distuninstallcheck_dir) \
502: && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
503: || { echo "ERROR: files left after uninstall:" ; \
504: if test -n "$(DESTDIR)"; then \
505: echo " (check DESTDIR support)"; \
506: fi ; \
507: $(distuninstallcheck_listfiles) ; \
508: exit 1; } >&2
509: distcleancheck: distclean
510: @if test '$(srcdir)' = . ; then \
511: echo "ERROR: distcleancheck can only run from a VPATH build" ; \
512: exit 1 ; \
513: fi
514: @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
515: || { echo "ERROR: files left in build directory after distclean:" ; \
516: $(distcleancheck_listfiles) ; \
517: exit 1; } >&2
518: check-am: all-am
519: check: check-recursive
520: all-am: Makefile $(HEADERS)
521: installdirs: installdirs-recursive
522: installdirs-am:
523: for dir in "$(DESTDIR)$(includedir)"; do \
524: test -z "$$dir" || $(MKDIR_P) "$$dir"; \
525: done
526: install: install-recursive
527: install-exec: install-exec-recursive
528: install-data: install-data-recursive
529: uninstall: uninstall-recursive
530:
531: install-am: all-am
532: @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
533:
534: installcheck: installcheck-recursive
535: install-strip:
536: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
537: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
538: `test -z '$(STRIP)' || \
539: echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
540: mostlyclean-generic:
541:
542: clean-generic:
543:
544: distclean-generic:
545: -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
546:
547: maintainer-clean-generic:
548: @echo "This command is intended for maintainers to use"
549: @echo "it deletes files that may require special tools to rebuild."
550: clean: clean-recursive
551:
552: clean-am: clean-generic mostlyclean-am
553:
554: distclean: distclean-recursive
555: -rm -f $(am__CONFIG_DISTCLEAN_FILES)
556: -rm -f Makefile
557: distclean-am: clean-am distclean-generic distclean-tags
558:
559: dvi: dvi-recursive
560:
561: dvi-am:
562:
563: html: html-recursive
564:
565: info: info-recursive
566:
567: info-am:
568:
569: install-data-am: install-nobase_includeHEADERS
570:
571: install-dvi: install-dvi-recursive
572:
573: install-exec-am:
574:
575: install-html: install-html-recursive
576:
577: install-info: install-info-recursive
578:
579: install-man:
580:
581: install-pdf: install-pdf-recursive
582:
583: install-ps: install-ps-recursive
584:
585: installcheck-am:
586:
587: maintainer-clean: maintainer-clean-recursive
588: -rm -f $(am__CONFIG_DISTCLEAN_FILES)
589: -rm -rf $(top_srcdir)/autom4te.cache
590: -rm -f Makefile
591: maintainer-clean-am: distclean-am maintainer-clean-generic
592:
593: mostlyclean: mostlyclean-recursive
594:
595: mostlyclean-am: mostlyclean-generic
596:
597: pdf: pdf-recursive
598:
599: pdf-am:
600:
601: ps: ps-recursive
602:
603: ps-am:
604:
605: uninstall-am: uninstall-nobase_includeHEADERS
606:
607: .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
608: install-strip
609:
610: .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
611: all all-am am--refresh check check-am clean clean-generic \
612: ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
613: dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
614: distclean-generic distclean-tags distcleancheck distdir \
615: distuninstallcheck dvi dvi-am html html-am info info-am \
616: install install-am install-data install-data-am install-dvi \
617: install-dvi-am install-exec install-exec-am install-html \
618: install-html-am install-info install-info-am install-man \
619: install-nobase_includeHEADERS install-pdf install-pdf-am \
620: install-ps install-ps-am install-strip installcheck \
621: installcheck-am installdirs installdirs-am maintainer-clean \
622: maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
623: pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
624: uninstall-nobase_includeHEADERS
625:
626:
627: #
628: # automake adds dependencies that we don't like, so we explicitly remove them
629: #
630: Makefile:
631: # Tell versions [3.59,3.63) of GNU make to not export all variables.
632: # Otherwise a system limit (for SysV at least) may be exceeded.
633: .NOEXPORT:
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>